GET
/
stake
/
consensus
/
validators
/
by-height
Get Consensus Validators By Height
curl --request GET \
  --url https://prv.stake.biya.io/stake/consensus/validators/by-height
{
  "block_height": "<string>",
  "count": 123,
  "total": 123,
  "validators": [
    {
      "operator_address": "<string>",
      "consensus_address": "<string>",
      "address": "<string>",
      "pub_key": "<string>",
      "voting_power": "<string>",
      "proposer_priority": "<string>"
    }
  ]
}

Query Parameters

height
string

Block height to query (optional, defaults to latest block if not specified or 0)

Response

200 - application/json

OK

GetConsensusValidatorsByHeightResponse contains validators participating in consensus at the specified block height

block_height
string

Block height at which validators were queried

count
integer<int32>

Number of validators in the validator set

total
integer<int32>

Total number of validators

validators
object[]

List of validators participating in consensus